;===============================================================================
;
; basic offering 1.0
;
;===============================================================================
header
hirom

;===============================================================================
; main code
;===============================================================================
org     $C22A0B
main:

    ;setup flags
        LDA #$40            ;randomize target
        TSB $BA             ;setup flags
        LDA #$02            ;no critical, ignore true knight
        TSB $B2             ;setup flags
        STZ $3A89           ;nulls random spell casting
        JSL null_special    ;null weapon special effect
        NOP

warnpc  $C22A1B

;===============================================================================
; null weapon special effect
;===============================================================================
org     $C3FC00
null_special:

    ;check special effect
        LDA $11A9           ;weapon special effect
        BEQ .exit           ;exit if without special effect

    ;check special hit rate
        LDA $11A8           ;hit rate
        CMP #$11            ;special value for hit rate
        BCS .null_effect    ;null effect if valid hit rate

    ;adjust special hit rate
        LDA #$64            ;100 as hit rate
        STA $11A8           ;save as hit rate
        
    ;null special effect
.null_effect
        STZ $11A9

    ;exit
.exit
        RTL

warnpc  $C3FC15

